#!/bin/bash

# install lib 32 pkgs scripts
#
INSTALL_LOG_DIR="/var/log/installer/"
LOG="$INSTALL_LOG_DIR/install_lib_32.log"

lib_32_pkg_dir="/pkg_lib_i686"

if [ ! -e $INSTALL_LOG_DIR ];then
	mkdir -p $INSTALL_LOG_DIR
fi

for pkg in  $(ls ${lib_32_pkg_dir})
do
    pkgname=$(echo $pkg |cut -d'#' -f1)
    if [ $pkgname = 'pango_i686_lib' -o $pkgname = 'gtk2_i686_lib' ];then
	continue
    fi
	echo "install ${pkg_name}..." 1>>$LOG 2>&1
    pkgadd ${lib_32_pkg_dir}/$pkg 1>>$LOG 2>&1
done

echo "install pango_i686_lib..." 1>>$LOG 2>&1
pkgadd ${lib_32_pkg_dir}/pango_i686_lib#* 1>>$LOG 2>&1

echo "install gtk2_i686_lib..." 1>>$LOG 2>&1
pkgadd ${lib_32_pkg_dir}/gtk2_i686_lib#* 1>>$LOG 2>&1
